# Uses of Class
org.apache.lucene.index.FieldInfos

Packages that use FieldInfos
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene90
Lucene 9.0 file format.
org.apache.lucene.codecs.lucene90.compressing
Lucene 9.0 compressing format.
org.apache.lucene.codecs.lucene94
Lucene 9.4 file format.
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.internal.tests
Internal bridges to package-private internals, for use by the lucene test framework only.

- ## Uses of FieldInfos in org.apache.lucene.codecs

  Methods in org.apache.lucene.codecs that return FieldInfos
  Modifier and Type
  Method
  Description
  `abstract FieldInfos`
  FieldInfosFormat.`read(Directory directory, SegmentInfo segmentInfo, String segmentSuffix, IOContext iocontext)`
  Read the `FieldInfos` previously written with `FieldInfosFormat.write(org.apache.lucene.store.Directory, org.apache.lucene.index.SegmentInfo, java.lang.String, org.apache.lucene.index.FieldInfos, org.apache.lucene.store.IOContext)`.
  Methods in org.apache.lucene.codecs with parameters of type FieldInfos
  Modifier and Type
  Method
  Description
  `abstract StoredFieldsReader`
  StoredFieldsFormat.`fieldsReader(Directory directory, SegmentInfo si, FieldInfos fn, IOContext context)`
  Returns a `StoredFieldsReader` to load stored fields.
  `static boolean`
  KnnVectorsWriter.MergedVectorValues.`hasVectorValues(FieldInfos fieldInfos, String fieldName)`
  Returns true if the fieldInfos has vector values for the field.
  `abstract TermVectorsReader`
  TermVectorsFormat.`vectorsReader(Directory directory, SegmentInfo segmentInfo, FieldInfos fieldInfos, IOContext context)`
  Returns a `TermVectorsReader` to read term vectors.
  `abstract void`
  FieldInfosFormat.`write(Directory directory, SegmentInfo segmentInfo, String segmentSuffix, FieldInfos infos, IOContext context)`
  Writes the provided `FieldInfos` to the directory.

- ## Uses of FieldInfos in org.apache.lucene.codecs.lucene90

  Methods in org.apache.lucene.codecs.lucene90 with parameters of type FieldInfos
  Modifier and Type
  Method
  Description
  `StoredFieldsReader`
  Lucene90StoredFieldsFormat.`fieldsReader(Directory directory, SegmentInfo si, FieldInfos fn, IOContext context)`

- ## Uses of FieldInfos in org.apache.lucene.codecs.lucene90.compressing

  Methods in org.apache.lucene.codecs.lucene90.compressing with parameters of type FieldInfos
  Modifier and Type
  Method
  Description
  `StoredFieldsReader`
  Lucene90CompressingStoredFieldsFormat.`fieldsReader(Directory directory, SegmentInfo si, FieldInfos fn, IOContext context)`
  `final TermVectorsReader`
  Lucene90CompressingTermVectorsFormat.`vectorsReader(Directory directory, SegmentInfo segmentInfo, FieldInfos fieldInfos, IOContext context)`
  Constructors in org.apache.lucene.codecs.lucene90.compressing with parameters of type FieldInfos
  Modifier
  Constructor
  Description
  ``
  `Lucene90CompressingStoredFieldsReader(Directory d, SegmentInfo si, String segmentSuffix, FieldInfos fn, IOContext context, String formatName, CompressionMode compressionMode)`
  Sole constructor.
  ``
  `Lucene90CompressingTermVectorsReader(Directory d, SegmentInfo si, String segmentSuffix, FieldInfos fn, IOContext context, String formatName, CompressionMode compressionMode)`
  Sole constructor.

- ## Uses of FieldInfos in org.apache.lucene.codecs.lucene94

  Methods in org.apache.lucene.codecs.lucene94 that return FieldInfos
  Modifier and Type
  Method
  Description
  `FieldInfos`
  Lucene94FieldInfosFormat.`read(Directory directory, SegmentInfo segmentInfo, String segmentSuffix, IOContext context)`
  Methods in org.apache.lucene.codecs.lucene94 with parameters of type FieldInfos
  Modifier and Type
  Method
  Description
  `void`
  Lucene94FieldInfosFormat.`write(Directory directory, SegmentInfo segmentInfo, String segmentSuffix, FieldInfos infos, IOContext context)`

- ## Uses of FieldInfos in org.apache.lucene.index

  Fields in org.apache.lucene.index declared as FieldInfos
  Modifier and Type
  Field
  Description
  `static final FieldInfos`
  FieldInfos.`EMPTY`
  An instance without any fields.
  `final FieldInfos[]`
  MergeState.`fieldInfos`
  FieldInfos being merged
  `final FieldInfos`
  SegmentReadState.`fieldInfos`
  `FieldInfos` describing all fields in this segment.
  `final FieldInfos`
  SegmentWriteState.`fieldInfos`
  `FieldInfos` describing all fields in this segment.
  `FieldInfos`
  MergeState.`mergeFieldInfos`
  `FieldInfos` of the newly merged segment.
  Methods in org.apache.lucene.index that return FieldInfos
  Modifier and Type
  Method
  Description
  `FieldInfos`
  FilterCodecReader.`getFieldInfos()`
  `FieldInfos`
  FilterLeafReader.`getFieldInfos()`
  `abstract FieldInfos`
  LeafReader.`getFieldInfos()`
  Get the `FieldInfos` describing all fields in this reader.
  `FieldInfos`
  ParallelLeafReader.`getFieldInfos()`
  Get the `FieldInfos` describing all fields in this reader.
  `FieldInfos`
  SegmentReader.`getFieldInfos()`
  `static FieldInfos`
  FieldInfos.`getMergedFieldInfos(IndexReader reader)`
  Call this to get the (merged) FieldInfos for a composite reader.
  Constructors in org.apache.lucene.index with parameters of type FieldInfos
  Modifier
  Constructor
  Description
  ``
  `MergeState(MergeState.DocMap[] docMaps, SegmentInfo segmentInfo, FieldInfos mergeFieldInfos, StoredFieldsReader[] storedFieldsReaders, TermVectorsReader[] termVectorsReaders, NormsProducer[] normsProducers, DocValuesProducer[] docValuesProducers, FieldInfos[] fieldInfos, Bits[] liveDocs, FieldsProducer[] fieldsProducers, PointsReader[] pointsReaders, KnnVectorsReader[] knnVectorsReaders, int[] maxDocs, InfoStream infoStream, Executor intraMergeTaskExecutor, boolean needsIndexSort)`
  Create a new merge instance.
  ``
  `SegmentReadState(Directory dir, SegmentInfo info, FieldInfos fieldInfos, IOContext context)`
  Create a `SegmentReadState`.
  ``
  `SegmentReadState(Directory dir, SegmentInfo info, FieldInfos fieldInfos, IOContext context, String segmentSuffix)`
  Create a `SegmentReadState`.
  ``
  `SegmentWriteState(InfoStream infoStream, Directory directory, SegmentInfo segmentInfo, FieldInfos fieldInfos, org.apache.lucene.index.BufferedUpdates segUpdates, IOContext context)`
  Sole constructor.
  ``
  `SegmentWriteState(InfoStream infoStream, Directory directory, SegmentInfo segmentInfo, FieldInfos fieldInfos, org.apache.lucene.index.BufferedUpdates segUpdates, IOContext context, String segmentSuffix)`
  Constructor which takes segment suffix.

- ## Uses of FieldInfos in org.apache.lucene.internal.tests

  Methods in org.apache.lucene.internal.tests that return FieldInfos
  Modifier and Type
  Method
  Description
  `FieldInfos`
  IndexPackageAccess.FieldInfosBuilder.`finish()`